OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Private Attributes
File Class Reference

Helper class to read a file. More...

## Public Member Functions
| File (const char *filename)
| Create the helper by opening the given file.
| ~File ()
| Free everything we have allocated.
char | GetChar () const
| Get a single character from the file.
const char * | GetDirname () const
| Get the directory name of the file.

## Private Attributes
FILE * | fp
| The currently opened file.
char * | dirname
| The directory of the file.

## Detailed Description

Helper class to read a file.

Definition at line 156 of file depend.cpp.

## Constructor & Destructor Documentation

File::File | ( | const char * | filename | ) |
| inline

Create the helper by opening the given file.

Parameters

  filename | the file to open

Postcondition
  the file is open; otherwise the application is killed.

Definition at line 163 of file depend.cpp.

References dirname, and fp.

File::~File | ( |  | ) |
| inline

Free everything we have allocated.

Definition at line 180 of file depend.cpp.

References dirname, fp, and free().

## Member Function Documentation

char File::GetChar | ( |  | ) | const
| inline

Get a single character from the file.

If we are reading beyond the end of the file '\0' is returned.

Returns
  the read character.

Definition at line 191 of file depend.cpp.

References fp.

Referenced by Lexer::Next().

const char* File::GetDirname | ( |  | ) | const
| inline

Get the directory name of the file.

Returns
  the directory name.

Definition at line 201 of file depend.cpp.

References dirname.

Referenced by ScanFile().

The documentation for this class was generated from the following file:

- src/depend/depend.cpp